# Invest (DCA)

The Invest feature allows users to automate their crypto investments through regular purchases over time. By employing Dollar Cost Averaging (DCA), users can mitigate market volatility by spreading out their investment costs. This approach enables users to gradually build their crypto portfolio and potentially benefit from long-term growth.

## Strategies

Strategies define the input token, the amount, the output tokens and frequency of each recurring buy. You can create a strategy using the web app.

{% content-ref url="/pages/9wIHVvFA9Kfg6wYzbQQj" %}
[Strategies](/api/invest/strategies.md)
{% endcontent-ref %}

## Executions

A strategy is executed at regular intervals for an indefinite number of times, untile cancellation.

In order for executions to be performed, the user will need to have enough funds on its [Gas Wallet](/advanced-features/gas-wallet.md) to pay for blockchain fees.

An execution can fail if the user hasn’t got enough funds on his wallet. In that case 8Pay will retry every 6 hours.

{% content-ref url="/pages/FYKESer6YkTGPmU80qUf" %}
[Executions](/api/invest/executions.md)
{% endcontent-ref %}

## Cancellation

Customers can cancel a strategy anytime from the web app and it will not be executed again.

{% content-ref url="/pages/cjHwFQz4W0LiCIK0YDVn" %}
[Cancellation](/api/invest/cancellation.md)
{% endcontent-ref %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.8pay.network/api/invest.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
